﻿@page
@model LoginWith2faModel
@{
    ViewData["Title"] = "احراز هویت از طریق کد تائید";
}


@*<h5>احراز هویت از طریق کد تائید</h5>
<hr />
<p>ورود به این حساب نیازمند یک کد تائید می باشد . لطفا کد تائید را وارد نمائید .</p>
<div class="row">
    <div class="col-md-4">
        <form method="post" asp-route-returnUrl="@Model.ReturnUrl">
            <input asp-for="RememberMe" type="hidden" />
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Input.TwoFactorCode"></label>
                <input asp-for="Input.TwoFactorCode" class="form-control" autocomplete="off" />
                <span asp-validation-for="Input.TwoFactorCode" class="text-danger"></span>
            </div>
            <div class="form-group">
                <div class="checkbox">
                    <label asp-for="Input.RememberMachine">
                        <input asp-for="Input.RememberMachine" />
                        @Html.DisplayNameFor(m => m.Input.RememberMachine)
                    </label>
                </div>
            </div>
            <div class="form-group">
                <button type="submit" class="btn btn-primary">Log in</button>
            </div>
        </form>
    </div>
</div>
<p>
    Don't have access to your authenticator device? You can
    <a id="recovery-code-login" asp-page="./LoginWithRecoveryCode" asp-route-returnUrl="@Model.ReturnUrl">ورود با استفاده از کد بازیابی</a>.
</p>*@


<div id="registerFormWrapper">
    <div class="container" id="RegisterForm">
        <div class="card bg-light">
            <article data-aos="fade-right" data-aos-duration="1000" data-aos-once="true" class="card-body mx-auto" style="max-width: 400px;">
                <p class="text-center ForgotPass">کاربر گرامی <span>ورود به این حساب </span> نیازمند یک کد تائید می باشد . لطفا کد تائید را وارد نمائید .</p>
                <form method="post" asp-route-returnUrl="@Model.ReturnUrl">
                    <input asp-for="RememberMe" type="hidden" />
                    <div asp-validation-summary="All" class="text-danger"></div>
                    <div class="form-group">
                        <input asp-for="Input.TwoFactorCode" class="form-control" autocomplete="off"  style="font-family:Tahoma;"/>
                    </div>
                    <div class="form-group">
                        <div class="checkbox">
                            <label asp-for="Input.RememberMachine">
                                <input asp-for="Input.RememberMachine" />
                                @Html.DisplayNameFor(m => m.Input.RememberMachine)
                            </label>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-success login">ورود</button>
                </form>
            </article>
            <p class="text-center">           
                <a id="recovery-code-login" asp-page="./LoginWithRecoveryCode" asp-route-returnUrl="@Model.ReturnUrl">ورود با استفاده از کد بازیابی</a>
            </p>
        </div>
    </div>
</div>


@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
